about summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2006-08-22T09·34+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2006-08-22T09·34+0000
commit93d9797eda419cd9f9fc059af3e1a765adeb50dd (patch)
tree29afd5c1706d9d7ef5020d3a9a3494f883e48d86 /tests
parent1a9a1f2768bac5defe4c2e39e5a9ccdee0e05d55 (diff)
* Urgh (see NIX-56).
Diffstat (limited to 'tests')
-rw-r--r--tests/lang.sh17
-rw-r--r--tests/lang/eval-okay-xml.exp1
2 files changed, 10 insertions, 8 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index bbc97861a4..6ed3a5b26d 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -36,13 +36,16 @@ done
 for i in lang/eval-okay-*.nix; do
     echo "evaluating $i (should succeed)";
     i=$(basename $i .nix)
-    if ! $nixinstantiate --eval-only - < lang/$i.nix > lang/$i.out; then
-        echo "FAIL: $i should evaluate"
-        fail=1
-    fi
-    if ! $aterm_bin/atdiff lang/$i.out lang/$i.exp; then
-        echo "FAIL: evaluation result of $i not as expected"
-        fail=1
+
+    if test -e lang/$i.exp; then
+        if ! $nixinstantiate --eval-only - < lang/$i.nix > lang/$i.out; then
+            echo "FAIL: $i should evaluate"
+            fail=1
+        fi
+        if ! $aterm_bin/atdiff lang/$i.out lang/$i.exp; then
+            echo "FAIL: evaluation result of $i not as expected"
+            fail=1
+        fi
     fi
     
     if test -e lang/$i.exp.xml; then
diff --git a/tests/lang/eval-okay-xml.exp b/tests/lang/eval-okay-xml.exp
deleted file mode 100644
index 690599e6ee..0000000000
--- a/tests/lang/eval-okay-xml.exp
+++ /dev/null
@@ -1 +0,0 @@
-Attrs([Bind("c",OpPlus(Str("foo"),Str("bar")),Pos("(string)",9,4)),Bind("b",Str("bar"),Pos("(string)",7,4)),Bind("x",Int(123),Pos("(string)",3,4)),Bind("f",Function([Formal("z",UnrestrictedValues,NoDefaultValue),Formal("x",ValidValues([Str("a"),Str("b"),OpPlus(Str("c"),Str("d"))]),NoDefaultValue),Formal("y",ValidValues([Var("true"),Var("false")]),NoDefaultValue)],If(Var("y"),Var("x"),Var("z")),Pos("(string)",11,8)),Pos("(string)",11,4)),Bind("a",Str("foo"),Pos("(string)",5,4))])